Subject: Re: bug#15880: Compute C declarations for DEFSYMs automatically.

From: Eli Zaretskii <[email-masked]>
Date: Mon, 05 Jan 2015 21:48:42 +0200

> Date: Mon, 05 Jan 2015 11:24:52 -0800
> From: Paul Eggert <[email-masked]>
> CC: [email-masked]
> 
> On 01/05/2015 10:56 AM, Eli Zaretskii wrote:
> > Did you try to build with --enable-checking?  It fails to compile for
> > me:
> Works for me.

Strange.  I don't understand how this:

  #define lisp_h_XSYMBOL(a) \
     (eassert (SYMBOLP (a)), \
      (struct Lisp_Symbol *) XUNTAGBASE (a, Lisp_Symbol, lispsym))
  # define XSYMBOL(a) lisp_h_XSYMBOL (a)

and this:

  INLINE struct Lisp_Symbol *XSYMBOL (Lisp_Object);

can live together.  Can you explain?

> But your diagnostics show a problem: I forgot to clean out the
> now-harmful static Q* declarations from the w32 files.  Does the
> attached patch fix the problem for you?  I can't easily test it on
> my GNU/Linux platform.

Thanks, I already fixed those, and will push shortly, as soon as the
lisp.h problem is resolved.